# Deepin Font Installer |../common/deepin-font-installer.svg|

## Overview|../common/icon_overview.svg|

Deepin Font Installer is an application to help users install and uninstall font file easily, support bulk install and font preview.


## Basic Operations|../common/icon_commoncoperat.svg|

### Run Deepin Font Installer

You can run Deepin Font Installer in two ways:

- Right click on a font file and choose **Open with** > **Deepin Font Installer**, the application will start and show the font information.
- Click on ![deepin-font-installer](icon/font.svg) in Launcher to run Deepin Font Installer. 

![1|add](jpg/add.jpg)

### Install Fonts
You can install one font file or multiple font files at one time.

#### Single Install

1. On Deepin Font Installer interface, click on **Select file** or drag and drop to open font files. The font information will be shown.
2. Click **Install** to continue.
3. Input the required password and **Confirm**.
4. The font will be installed successfully. You can click **View font directory** to view it.
5. Click on **Done** to exit.


> ![notes](icon/notes.svg): Deepin Font Installer automatically detects the fonts, if already installed, it shows "Same version installed" or "Other version installed", then you can select **Remove** or **Reinstall** to continue.

![1|single-install](jpg/single-install.jpg)

#### Bulk Install

Drag and drop font files or select multiple font files at one time to start bulk install. The steps are the same as [Single Install](#Single Install).

![notes](icon/tips.svg):

- Even other fonts are installed already, you can still drag font files to install.
- The installation status will be displayed on the right of each font, such as installed, installing and failed.
- Click ![close_icon](icon/close_icon.svg) on the right of each font to delete it from the list. 
- If it shows "other version installed", click "Install", your new version will be installed to replace the old version.

![1|bulk-install](jpg/bulk-install.jpg)

> ![notes](icon/notes.svg): If you want to use the installed font as system font, open **Control Center**, click **Font** in **Personalization**, and set the font as **Standard Font**.

### Remove Fonts

1. On Deepin Font Installer interface, click on **Select file** to open the installed font file, or double click the installed font to start Deepin Font Installer.

2. Click **Remove**, input the required password and click on **Confirm**.

3. Click on **Done** to exit.


![1|remove](jpg/remove.jpg)

### Run with File Manager###

You can preview and open font file directly in Deepin File Manager.

- Select the font file in File Manager, press **Space** key, the preview window will open and show the font style.
- Select the font file in File Manager, right click and choose **Open with** > **Deepin Font Installer**.

## Main Menu|../common/icon_optionsetting.svg|

### Help

Click to view the manual of Deepin Font Installer.

1. On Deepin Font Installer interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **Help**.
3. View the manual.




### About

Click to view the version and introduction of Deepin Font Installer.

1. On Deepin Font Installer interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **About**.
3. View the version and description.




### Exit

Click to exit Deepin Font Installer.

1. On Deepin Font Installer interface, click on ![icon_menu](icon/icon_menu.svg).
2. Click on **Exit** to exit.
